Re: Call to maintainers: GNOME 2.31 to ship GTK 2.90

On Tue, Jun 15, 2010 at 6:11 AM, Josselin Mouette <joss debian org> wrote:
> Le lundi 14 juin 2010 à 23:17 +0200, Andy Wingo a écrit :
>> People can do what they like of course, and I recall back when GStreamer
>> used to compile against GTK+ 1.2 or the GObject in 2.0. But from a bug
>> management perspective, having to always ask what GTK+ a user has
>> compiled against is complicated, and they might not always know if the
>> dependency tree is deep -- and in just such a case, a maintainer will
>> sometimes find that the user inadvertantly linked against 2.x /and/ 3.x
>> (due to transitive dependencies).
> Which will seriously break unless people are willing to add versioned
> symbols to GTK+.

You can keep repeating that over and over. That does not make true.
Symbol versions will not differentiate types, signals, etc over abi

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]